## org.apache.lucene.queryParser.standard.config
Class AllowLeadingWildcardAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.AllowLeadingWildcardAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, AllowLeadingWildcardAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class AllowLeadingWildcardAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements AllowLeadingWildcardAttribute, ConfigAttribute

This attribute is used by `AllowLeadingWildcardProcessor` processor and must be defined in the `QueryConfigHandler`. It basically tells the processor if it should allow leading wildcard.

See Also:
  `AllowLeadingWildcardAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`AllowLeadingWildcardAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated.
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`int` `hashCode()` Deprecated.
`boolean` `isAllowLeadingWildcard()` Deprecated.
`void` `setAllowLeadingWildcard(boolean allowLeadingWildcard)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllowLeadingWildcardAttributeImpl

    public AllowLeadingWildcardAttributeImpl()

  Deprecated.

Method Detail

### setAllowLeadingWildcard

    public void setAllowLeadingWildcard(boolean allowLeadingWildcard)

  Deprecated.
  Specified by:
    `setAllowLeadingWildcard` in interface `AllowLeadingWildcardAttribute`

### isAllowLeadingWildcard

    public boolean isAllowLeadingWildcard()

  Deprecated.
  Specified by:
    `isAllowLeadingWildcard` in interface `AllowLeadingWildcardAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`